<?php
require'fun.php';
require'f_admin.php';
$titlu='Validează cuvânt Anagrame';
$back[1]='<a href="/admin-lista-validari">'.img('administrare.png',1).'Lista validari</a>';
$back[2]='<a href="/admin-cuvinte-anagrame-ne-validate">'.img('administrare.png',1).'Cuvinte Anagrame ne validate</a>';
require'f_sus.php';
$info=$conn->query('SELECT`de`,`cuvant`,`cid`,`valid`FROM`anagrame_cuvinte`WHERE`id`="'.$pid.'"')->fetch_row();
if(($info[3]>0?false:$conn->query('UPDATE`anagrame_cuvinte`SET`valid`="'.$de.'"WHERE`id`="'.$pid.'"')))
{
if($info[0]!=$de)
{
require'f_notificare.php';
notificare('am validat cuvântul [b]'.$info[1].'[/b], cuvânt care a fost adăugat de tine la Anagrame!',$info[0],$de);
}
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Cuvinte Anagrame",`de`="'.$de.'",`text`="a validat cuvântul [b]'.$info[1].'[/b], cuvânt adăugat în categoria [b]'.$conn->query('SELECT`nume`FROM`anagrame_categorii`WHERE`id`="'.$info[2].'"')->fetch_row()[0].'[/b], cuvânt adăugat de",`la`="'.$info[0].'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Cuvântul Anagrame <strong>'.$info[1].'</strong> a fost validat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest cuvânt Anagrame a fost validat sau șters de către alt administrator!';
echo$div[0];
require'f_jos.php';